Plank.SurfaceCache – plank Reference Manual

# SurfaceCache

## Object Hierarchy:

## Description:

public class SurfaceCache<G> : Object

Cache multiple sizes of the assumed same image

Namespace: Plank
Package: plank

## Content:

### Properties:

- public SurfaceCacheFlags flags { construct set; get; }

### Creation methods:

- public SurfaceCache (SurfaceCacheFlags flags = NONE)

### Methods:

- public Surface? get_surface<G> (int width, int height, Surface model, DrawFunc<G> draw_func, DrawDataFunc<G>? draw_data_func)
- public void clear ()

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count